# Découverte et bases

Au cours de votre première année de formation en développement web, vous apprendrez à écrire du HTML et du CSS afin de créer des pages web simples.

## Programme

:::info Voici à titre indicatif le programme prévisionnel pour la première année.
Les sujets seront tous évoqués mais pas forcément dans l'ordre affiché.
:::

1. Introduction et test du niveau de la classe
2. Historique et enjeux du web
   1. Structure et architecture (client-serveur/front-back)
   2. Protocoles (http, TLS, DNS, ftp…)
   3. Langages (HTML, CSS, JS, PHP, etc.)
   4. Évolutions
3. Organiser son espace de travail
4. Navigateurs
   1. Uniformité/différences ([caniuse](https://caniuse.com/))
   2. Inspecteurs (version développeur)
5. Éditeur [VSCodium](https://github.com/VSCodium/vscodium) (vscode)
   1. Config
   2. Plugins
6. Bases HTML
   1. Balises basiques
   2. HTML sémantique
   3. Structurer le contenu
7. Bases CSS
   1. Propriétés basiques
   2. Gérer les images
   3. Responsive/Mobile first
8. Ressources externes
   1. Images
   2. Maquettes
   3. SVG
   4. Webfonts
   5. Optimisations
9. Développement local
10. Mise en ligne
